Bug 241666 - zerombr is deprecated but not in documentation
Summary: zerombr is deprecated but not in documentation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Installation_Guide   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ryan Lerch
QA Contact: Michael Hideo
URL: http://www.redhat.com/docs/manuals/en...
Whiteboard:
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-29 13:54 UTC by Klaus Ethgen
Modified: 2008-07-23 06:05 UTC (History)
1 user (show)

Fixed In Version: web
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 06:05:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Klaus Ethgen 2007-05-29 13:54:51 UTC
In http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/
Installation_Guide-en-US/s1-kickstart2-options.html#id3220240 is told that the 
option "zerombr" has to have the option "yes" to really clean it. But anaconda 
mark it as deprecated.

Comment 1 Chris Lumens 2007-05-29 14:24:38 UTC
This is correct in the anaconda kickstart-docs.txt file, so the installation
guide just needs to be updated.  Reassigning.

Comment 2 Don Domingo 2007-05-29 23:17:30 UTC
reassigning to jwulf@redhat.com for processing

Comment 4 Michael Hideo 2007-10-23 02:43:09 UTC
Removing automation notification

Comment 5 Michael Hideo 2008-01-22 04:36:19 UTC
Moving to Don

Comment 7 Klaus Ethgen 2008-01-24 09:40:53 UTC
I wrote that anaconda says that the option is deprecated. Not the documentation.

Comment 9 Chris Lumens 2008-06-13 18:32:35 UTC
zerombr the command is not deprecated.  However, using "zerombr yes" is
deprecated as of FC3 and was removed for F9.  So what this means is that now you
should just be using "zerombr", with no options.  What this means for RHEL is
that any options are officially deprecated for RHEL5 GA and will cause an error
in RHEL6.  The zerombr command itself will continue to exist.

Any clearer?

Comment 10 Klaus Ethgen 2008-06-13 19:10:01 UTC
What a crap that answering is only possible over a web interface...

However. This all is clear to me. But it seem not be clear for anaconda and/or 
the documentation.

Comment 11 Klaus Ethgen 2008-06-13 19:14:55 UTC
What I wanted to say is that the documentation and the behavior of anaconda is 
not consistent.

Ps. By the way, we have not EST timezone but CE(S)T.

Comment 12 Don Domingo 2008-06-22 23:29:11 UTC
thanks Klaus, Chris, for your help on this. adding the following note to the
zerombr entry in all RHEL5 versions of the Installation Guide:

<quote>
Note that in previous versions of Red Hat Enterprise Linux, this command was
specified as zerombr yes. This form is now deprecated; you should now simply
specify zerombr in your kickstart file instead.
</quote>

please advise if any revisions are required. the live site will update with this
content within the next 24 hours or so. 


Note You need to log in before you can comment on or make changes to this bug.